%define name kkeyled
%define version 0.8.11
%define release %mkrel 2
%define __libtoolize /bin/true
%define __cputoolize /bin/true



Name: %{name}
Version: %{version}
Release: %{release}
Summary:   Displays the status of the keyboard leds
License: GPL
Url:       http://www.truesoft.ch/dieter/index.html
Group:     System/Configuration/Hardware
Source:    http://www.truesoft.ch/dieter/kkeyled/software/%{name}-%{version}.tar.bz2
Source10:  %name-16.png
Source11:  %name-32.png
Source12:  %name-48.png
BuildRoot: %{_tmppath}/%{name}-%{version}



%description
A little program which helps you 
to watch your display leds for the numlock
scrollock and the capslock keys

%prep
%setup -n %{name}

%configure --disable-rpath

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_menudir,%_miconsdir,%_iconsdir,%_liconsdir}

%makeinstall_std
cp %SOURCE10 %buildroot%_miconsdir/%name.png
cp %SOURCE11 %buildroot%_iconsdir/%name.png
cp %SOURCE12 %buildroot%_liconsdir/%name.png
perl -pi -e "s|Name=kkeyled|Name=Kkeyled|" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop
kdedesktop2mdkmenu.pl %name "System/Configuration/Hardware" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%name


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT/


%files 
%defattr(-,root,root)
%attr(0755,root,root) %_bindir/%{name}
%_datadir/applnk/Utilities/%{name}.desktop
%_datadir/apps/%{name}/kkeyledui.rc
%_datadir/apps/%{name}/pic/theme/*
%_datadir/config/%{name}rc
%_datadir/doc/HTML/*/%{name}/*
%_iconsdir/hicolor/*/apps/%{name}.png
%_iconsdir/locolor/*/apps/%{name}.png
%_datadir/locale/*/LC_MESSAGES/%{name}.mo
%_menudir/%{name}
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png



%changelog
* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.8.11-2mdk
- %%mkrel
- Fix Description ( Plouf you hate  h ? )

* Sat Apr 02 2005 Sebastien Savarin <plouf@mandrake.org> 0.8.11-1mdk
- First Mandrakelinux release 
